#include "unity.h"
#include "stuffy.h"

int argc = 0;
char* argv[6];

void setUp(void)
{
    argv[0] = "./stuffy.out";
    argv[1] = "-a";
    argv[2] = "mystuffyarchive";
    argv[3] = "somefile";
    argv[4] = ">";
    argv[5] = "someotherfile";
}

void tearDown(void)
{
    ;
}

void Test_StuffyArgument_Should_ReturnCorrectly(void)
{
    TEST_ASSERT_EQUAL(0, StuffyArgument(4, argv));
    argv[1] = "-r";
    TEST_ASSERT_EQUAL(1, StuffyArgument(4, argv));
    argv[1] = "-l";
    TEST_ASSERT_EQUAL(2, StuffyArgument(3, argv));
    argv[1] = "-e";
    TEST_ASSERT_EQUAL(3, StuffyArgument(6, argv));
    argv[1] = "-t";
    TEST_ASSERT_EQUAL(-1, StuffyArgument(4, argv));
}

// void TestAdditionShouldAddCorrectly(void)
// {
//     TEST_ASSERT_EQUAL(10, addition(5, 5));
//     TEST_ASSERT_EQUAL(15, addition(10, 5));
//     TEST_ASSERT_EQUAL(20, addition(10, 10));
// }

int main(void)
{
    UNITY_BEGIN();
    RUN_TEST(Test_StuffyArgument_Should_ReturnCorrectly);
    return UNITY_END();
}
